FUNCTION TEMPLA(3)

NAME
boost::algorithm::find_head - Find head algorithm.

SYNOPSIS

// In header: <boost/algorithm/string/find.hpp>
template<typename RangeT>
  iterator_range< typename range_iterator< RangeT >::type >
  find_head(RangeT & Input, int N);

DESCRIPTION

Get the head of the input. Head is a prefix of the string of the given size. If the input is shorter then required, whole input if considered to be the head.

Parameters:

    Input
        An input string

    N
        Length of the head For N>=0, at most N characters are extracted. For N<0, size(Input)-|N| characters are extracted.

Returns:
    An iterator_range delimiting the match. Returned iterator is either Range1T::iterator or Range1T::const_iterator, depending on the constness of the input parameter.

Notes:
    This function provides the strong exception-safety guarantee